# gatekeeper-sdk/src/stanley_shield/context.py

import socket

def get_server_ip():
    """Helper to capture the 'Where' of the server."""
    try:
        return socket.gethostbyname(socket.gethostname())
    except:
        return "127.0.0.1"